{% extends "page_base.html" %}

{% block css %}
    {{ super() }}
    <link rel="stylesheet" type="text/css"
        href="{{ url_for('static', filename='css/first_time_install.css') }}"/>
{% endblock %}

{% block site_header %}
    <h1><a href="{{ url_for('homepage.homepage') }}">Kanban</a></h1>
{% endblock %}

{% block page_header %}
    <h2 class="centered-page-title" title="Vous y êtes presque !">
        Préparation de l'installation de Kanban
    </h2>
{% endblock %}

{% block content %}

<div id="first-time-install" class="box single-box">


<form method="POST" action="{{ url_for('homepage.create_app_config') }}">
    <p>
        Indiquez la base de données à utiliser pour l'application.<br/>
        En cas de doute, utilisez SQLite avec le chemin par défaut.
        SQLite ne nécessite pas de serveur de base de données.
    </p>
    <ul id="db-engines"></ul>

    <div id="db-engine-uri-server" class="sub-box">
        <label class="field" for="uri-server-username">
            Nom d'utilisateur :
        </label>
        <input id="uri-server-username" size="40" type="text" spellcheck="false"/>

        <label class="field" for="uri-server-password">
            Mot de passe :
        </label>
        <input id="uri-server-password" size="40" type="password"/>

        <label class="field" for="uri-server-host">
            Hôte & port du serveur :
        </label>
        <input id="uri-server-host" type="text" size="40" spellcheck="false"/>

        <label class="field" for="uri-server-database">
            Nom de la base de données :
        </label>
        <input id="uri-server-database" type="text" spellcheck="false"/>
    </div>

    <div id="db-engine-path" class="sub-box">
        <label class="field" for="path-path">
            Chemin :
        </label>
        <input id="path-path" type="text" spellcheck="false" size="80" value="{{ default_sqlite_path }}"/>
    </div>

    <div id="db-engine-custom" class="sub-box">
        <label class="field" for="custom-uri">
            URI SQLAlchemy :
        </label>
        <input id="custom-uri" type="text" size="80" spellcheck="false"/>

        <p>
            Plus d'informations sur <a href="https://docs.sqlalchemy.org/en/latest/core/engines.html">
                le site de SQLAlchemy
            </a>
        </p>
    </div>

    <input id="final-db-uri" type="hidden" size="80" name="db-uri" readonly/>
    <input type="submit" value="Enregistrer"/>

</form>

</div>

<script type="text/javascript" src="{{ url_for('static', filename='js/common.js') }}"></script>
<script type="text/javascript" src="{{ url_for('static', filename='js/first_time_install.js') }}"></script>

{% endblock %}
